<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQLCTMapGridView9Base from './emeqlctmap-grid-view9-base.vue';

import view_grid from '@widgets/emeqlctmap/main-grid/main-grid.vue';

/**
 * 位置关系表格视图
 *
 * @export
 * @class EMEQLCTMapGridView9
 * @extends {EMEQLCTMapGridView9Base}
 */
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQLCTMapGridView9 extends EMEQLCTMapGridView9Base { }
</script>